/************************************************************************
*
* Copyright (C) 2001 by 
* Kerenyi Kristof, Toth Gergely
*
* Team Monica Javacom, Package version 0.2
*
* Report any comments to javacom@tg.sch.bme.hu
* 
* Available under the GPL.
* 
* For more details about the copyright terms and conditions read the
* GNU Public License (GPL) available under www.gnu.org/copyleft/gpl.txt.
* 
*********************************************************************** */


package com.monica.javacom.ciphering;

/**	Thrown by the encode and decode methods in classes AES and RSA to indicate that a String with the length of 0 was passed to the method.
		@see AES#encode(String)
		@see AES#decode(String)
		@see RSA#encode(String)
		@see RSA#decode(String)
*/

public class ZeroLengthStringException extends Exception {

/**	Constructs a ZeroLengthStringException with no detail message.
*/	
	
	public ZeroLengthStringException(){
	}
	
/**	Constructs a ZeroLengthStringException with the specified detail message.
		@param text the detail message
*/	
	
	public ZeroLengthStringException(String text){
		System.err.println(text);
	}
	
}