/************************************************************************
*
* Copyright (C) 2001 by 
* Kerenyi Kristof, Toth Gergely
*
* Team Monica Javacom, Package version 0.2
*
* Report any comments to javacom@tg.sch.bme.hu
* 
* Available under the GPL.
* 
* For more details about the copyright terms and conditions read the
* GNU Public License (GPL) available under www.gnu.org/copyleft/gpl.txt.
* 
*********************************************************************** */


package com.monica.javacom.interfaces;

import com.monica.javacom.interfaces.*;

/** Top level sublayer responsible for catching the user input and
    forwarding it to a middle level layer.
*/ 
public interface MJCVirtualInput extends MJCConfigureable, MJCWriter {

  /** Returns the MJC name of the MJCVirtualInput.
      @return String: the MJC name of the MJCVirtualInput
  */   
  public String getVirtualInputName();
  
  /** Returns the MJC version of the MJCVirtualInput.
      @return String: the MJC version of the MJCVirtualInput
  */      
  public String getVirtualInputVersion();
  
}