/************************************************************************
*
* Copyright (C) 2001 by 
* Kerenyi Kristof, Toth Gergely
*
* Team Monica Javacom, Package version 0.2
*
* Report any comments to javacom@tg.sch.bme.hu
* 
* Available under the GPL.
* 
* For more details about the copyright terms and conditions read the
* GNU Public License (GPL) available under www.gnu.org/copyleft/gpl.txt.
* 
*********************************************************************** */


package com.monica.javacom.ciphering;

/**	Thrown by the constructors of classes AESKey and RSAKey if the input value is not recognized as a valid string-representation of the respective keys.
		@see AESKey#AESKey(String)
		@see RSAKey#RSAKey(String)
		@see RSAKeyPair#RSAKeyPair(String)
*/

public class LoadKeyException extends Exception {

/**	Constructs a LoadKeyException with no detail message.
*/	
	
	public LoadKeyException(){
	}
	
/**	Constructs a LoadKeyException with the specified detail message.
		@param text the detail message
*/	
	
	public LoadKeyException(String text){
		System.err.println(text);
	}
	
}