/************************************************************************
*
* Copyright (C) 2001 by 
* Kerenyi Kristof, Toth Gergely
*
* Team Monica Javacom, Package version 0.2
*
* Report any comments to javacom@tg.sch.bme.hu
* 
* Available under the GPL.
* 
* For more details about the copyright terms and conditions read the
* GNU Public License (GPL) available under www.gnu.org/copyleft/gpl.txt.
* 
*********************************************************************** */


package com.monica.javacom.util;

public class MJCConverter {

  private boolean isWindows;

  public MJCConverter() {
    byte b[]=new byte[1];
    b[0]=-120;
    String s=new String(b);
    if (((int)s.charAt(0))==136) isWindows=false; else isWindows=true;
  }

  public String toString(byte b[]) {
    String s;
    if (isWindows) {
      char c[]=new char[b.length];
      for (int i=0; i<b.length; i++) {
        if (((int)b[i])<0) c[i]=(char)(256+((int)b[i])); else c[i]=(char)(b[i]);
      }
      s=new String(c);
    }
    else {
      s=new String(b);
    }
    return s;
  }

  public String toString(byte b[], int l) {
    String s;
    if (isWindows) {
      char c[]=new char[l];
      for (int i=0; i<l; i++) {
        if (((int)b[i])<0) c[i]=(char)(256+((int)b[i])); else c[i]=(char)(b[i]);
      }
      s=new String(c);
    }
    else {
      s=new String(b,0,l);
    }
    return s;
  }

  public String toString(byte b[], int off, int len) {
    String s;
    if (isWindows) {
      char c[]=new char[len];
      for (int i=0; i<len; i++) {
        if (((int)b[i+off])<0) c[i]=(char)(256+((int)b[i+off])); else c[i]=(char)(b[i+off]);
      }
      s=new String(c);
    }
    else {
      s=new String(b,off,len);
    }
    return s;
  }

  public byte[] getBytes(String s) {
    byte b[];
    if (isWindows) {
      b=new byte[s.length()];
      for (int i=0; i<s.length(); i++) {
        if (((int)(s.charAt(i)))<128) b[i]=(byte)s.charAt(i);
        else b[i]=(byte)((int)s.charAt(i)-256);
      }
    }
    else {
      b=s.getBytes();
    }
    return b;
  }

  public boolean isWindows() {
    return isWindows;
  }

}